let carrito = JSON.parse(localStorage.getItem("carrito")) || [];

// Agregar producto
function comprar(nombre, precio) {

    carrito.push({
        nombre: nombre,
        precio: parseFloat(precio)
    });

    localStorage.setItem(
        "carrito",
        JSON.stringify(carrito)
    );

    alert(nombre + " agregado al carrito");
}

// Mostrar carrito
function mostrarCarrito() {

    let lista = document.getElementById("lista");
    let totalElemento = document.getElementById("total");

    if (!lista || !totalElemento) {
        return;
    }

    lista.innerHTML = "";

    let total = 0;

    carrito.forEach((producto, index) => {

        total += producto.precio;

        lista.innerHTML += `
        <li>
            ${producto.nombre}
            - S/ ${producto.precio.toFixed(2)}

            <button
            onclick="eliminarProducto(${index})">
            ❌
            </button>
        </li>
        `;
    });

    totalElemento.innerHTML =
        total.toFixed(2);
}

// Eliminar producto
function eliminarProducto(index) {

    carrito.splice(index, 1);

    localStorage.setItem(
        "carrito",
        JSON.stringify(carrito)
    );

    mostrarCarrito();
}

// Finalizar compra
function finalizarCompra() {

    if(carrito.length === 0)
    {
        alert("El carrito está vacío");
        return;
    }

    alert("Compra realizada correctamente");

    carrito = [];

    localStorage.removeItem("carrito");

    mostrarCarrito();
}